import { EventTrackerModule, EventTrackerCmdEnum } from '../../core';
import { SlardarTimelineParam, TimerEventMap, FlexibleEventParams, FlexibleLogParams } from '../../core/libs/types/eventTracker';
export default class EventTracker extends EventTrackerModule {
    constructor();
    [EventTrackerCmdEnum.Timer]<K extends keyof TimerEventMap, Args extends TimerEventMap[K]>(event_name: K, opt: Args): void;
    protected initSlardar(_: {
        uuid: string;
    }): void;
    protected commonSend(param: FlexibleEventParams | FlexibleLogParams): void;
    protected reportError(e: Error): void;
    protected initTea(): void;
    [EventTrackerCmdEnum.TimeLine](_: SlardarTimelineParam): void;
    [EventTrackerCmdEnum.End](): void;
}
